#include "AdafruitIO_WiFi.h"

#define IO_USERNAME "BENUTZERNAME"
#define IO_KEY "KEY"

#define WIFI_SSID "WLAN-NETZ"
#define WIFI_PASS "PASSWORT"

AdafruitIO_WiFi io(IO_USERNAME, IO_KEY, WIFI_SSID, WIFI_PASS);

AdafruitIO_Feed *poti = io.feed("poti");

const int analogIn = A0;
int gauge = 0;

void setup() {
  Serial.begin(115200);

  Serial.print("Connecting to Adafruit IO");
  io.connect();

  while (io.status() < AIO_CONNECTED) {
    Serial.print(".");
    delay(500);
  }

  Serial.println();
  Serial.print(io.statusText());
}

void loop() {
  io.run();

  gauge = analogRead(analogIn);
  Serial.println(gauge);
  poti->save(gauge);

  delay(2000);
}
